Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416440 - Rebase etcd to 3.1.x
Summary: Rebase etcd to 3.1.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: etcd
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Chaloupka
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard: aos-scalability-35
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 13:44 UTC by Scott Dodson
Modified: 2017-03-02 19:10 UTC (History)
2 users (show)

Fixed In Version: etcd-3.1.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-02 19:10:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0412 0 normal SHIPPED_LIVE etcd bug fix and enhancement update 2017-03-03 00:07:26 UTC

Description Scott Dodson 2017-01-25 13:44:05 UTC
OCP 3.4 and currently Origin 1.5 include etcd-3.1.rc0 for the embedded usecases. While unsupported it's common to wish to take backups of an embedded etcd instance so it would be useful to rebase to etcd 3.1.x in order to ensure we can backup these databases properly.

Comment 1 Scott Dodson 2017-01-25 13:48:16 UTC
I was less than clear in the description, etcdctl from the etcd rpm is used to backup the embedded etcd databases from OpenShift.

Comment 7 errata-xmlrpc 2017-03-02 19:10:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0412.html


Note You need to log in before you can comment on or make changes to this bug.